## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanNumberFormat Class Reference

`#include <XalanNumberFormat.hpp>`

Inheritance diagram for XalanNumberFormat

Collaboration diagram for XalanNumberFormat:

List of all members.

## Public Methods

- XalanNumberFormat ()
- virtual ~XalanNumberFormat ()
- virtual XalanDOMString format (double theValue)
    Format a number into a string. More...
- virtual void format ( double theValue, XalanDOMString& theResult)
    Format a number into a string. More...
- virtual XalanDOMString format (int theValue)
    Format a number into a string. More...
- virtual void format ( int theValue, XalanDOMString& theResult)
    Format a number into a string. More...
- virtual XalanDOMString format (unsigned int theValue)
    Format a number into a string. More...
- virtual void format ( unsigned int theValue, XalanDOMString& theResult)
    Format a number into a string. More...
- virtual XalanDOMString format (long theValue)
    Format a number into a string. More...
- virtual void format ( long theValue, XalanDOMString& theResult)
    Format a number into a string. More...
- virtual XalanDOMString format (unsigned long theValue)
    Format a number into a string. More...
- virtual void format ( unsigned long theValue, XalanDOMString& theResult)
    Format a number into a string. More...
- virtual bool isGroupingUsed () const
    Whether groupings are used for numbers, for example, "234,678". More...
- virtual void setGroupingUsed (bool bUsed)
    Change whether groupings are used for numbers, for example, "234,678". More...
- virtual void setGroupingSize (unsigned long size)
    Change the size of groupings, for example, "234,678" uses a size of "3". More...
- virtual void setGroupingSeparator (const XalanDOMString& s)
    Change the separator string used for groupings, for example, "234,678" uses the separator ",". More...

## Protected Methods

- void applyGrouping ( const XalanDOMString& value, XalanDOMString& result)

## Constructor & Destructor Documentation

XalanNumberFormat::XalanNumberFormat ( | )`[explicit]`

virtual XalanNumberFormat::~XalanNumberFormat ( | )`[virtual]`

## Member Function Documentation

void XalanNumberFormat::applyGrouping ( | const XalanDOMString & value,
| XalanDOMString & result )`[protected]`

void XalanNumberFormat::format ( | unsigned long theValue,
| XalanDOMString & theResult )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format
  theResult | the string result

Reimplemented in ICUXalanNumberFormatProxy, and XalanDecimalFormat.

XalanDOMString XalanNumberFormat::format ( | unsigned long theValue )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format

Returns:
  string representation of number

Reimplemented in ICUXalanNumberFormatProxy, and XalanDecimalFormat.

void XalanNumberFormat::format ( | long theValue,
| XalanDOMString & theResult )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format
  theResult | the string result

Reimplemented in ICUXalanNumberFormatProxy, and XalanDecimalFormat.

XalanDOMString XalanNumberFormat::format ( | long theValue )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format

Returns:
  string representation of number

Reimplemented in ICUXalanNumberFormatProxy, and XalanDecimalFormat.

void XalanNumberFormat::format ( | unsigned int theValue,
| XalanDOMString & theResult )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format
  theResult | the string result

Reimplemented in ICUXalanNumberFormatProxy, and XalanDecimalFormat.

XalanDOMString XalanNumberFormat::format ( | unsigned int theValue )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format

Returns:
  string representation of number

Reimplemented in ICUXalanNumberFormatProxy, and XalanDecimalFormat.

void XalanNumberFormat::format ( | int theValue,
| XalanDOMString & theResult )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format
  theResult | the string result

Reimplemented in ICUXalanNumberFormatProxy, and XalanDecimalFormat.

XalanDOMString XalanNumberFormat::format ( | int theValue )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format

Returns:
  string representation of number

Reimplemented in ICUXalanNumberFormatProxy, and XalanDecimalFormat.

void XalanNumberFormat::format ( | double theValue,
| XalanDOMString & theResult )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format
  theResult | the string result

Reimplemented in ICUXalanNumberFormatProxy, and XalanDecimalFormat.

XalanDOMString XalanNumberFormat::format ( | double theValue )`[virtual]`

Format a number into a string.

Parameters:

  theValue | number to format

Returns:
  string representation of number

Reimplemented in ICUXalanNumberFormatProxy, and XalanDecimalFormat.

bool XalanNumberFormat::isGroupingUsed ( | ) const`[virtual]`

Whether groupings are used for numbers, for example, "234,678".

Returns:
  true if grouping used

Reimplemented in ICUXalanNumberFormatProxy.

void XalanNumberFormat::setGroupingSeparator ( | const XalanDOMString & s )`[virtual]`

Change the separator string used for groupings, for example, "234,678" uses the separator ",".

Parameters:

  s | grouping separator string

Reimplemented in ICUXalanNumberFormatProxy.

void XalanNumberFormat::setGroupingSize ( | unsigned long size )`[virtual]`

Change the size of groupings, for example, "234,678" uses a size of "3".

Parameters:

  size | the grouping size

Reimplemented in ICUXalanNumberFormatProxy.

void XalanNumberFormat::setGroupingUsed ( | bool bUsed )`[virtual]`

Change whether groupings are used for numbers, for example, "234,678".

Parameters:

  bUsed | true to use grouping

Reimplemented in ICUXalanNumberFormatProxy.

The documentation for this class was generated from the following file:

- XalanNumberFormat.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.